View Issue Details

IDProjectCategoryView StatusLast Update
0024724LazarusLCLpublic2014-02-25 20:22
ReporteroceanAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformOSOS VersionWindows
Product Version1.1 (SVN)Product Build 
Target Version1.4Fixed in Version1.3 (SVN) 
Summary0024724: Stringgrid ScrollBars, ssAuto... doesn't work correctly
DescriptionOpen attached project. You see garbage both design & runtime.

Also try to scroll grid with arrow keys (runtime). Behaviour seems buggy, but corrects it self after scrolling back up.

Tested WinXP and Win7. Lazarus and FPC both svn.
TagsNo tags attached.
Fixed in Revision44231
LazTarget1.4
WidgetsetWin32/Win64
Attached Files

Relationships

has duplicate 0025489 closedJesus Reyes StringGrid Paint Issue 

Activities

ocean

2013-07-10 16:52

reporter  

stringgridbug.zip (1,750 bytes)

ocean

2013-07-10 16:53

reporter  

stringgrid.jpg (48,640 bytes)
stringgrid.jpg (48,640 bytes)

Vojtech Cihak

2013-07-10 17:24

reporter   ~0068791

A Windows only issue? I can see no problem on Qt and Gtk.

ocean

2014-01-15 11:57

reporter   ~0072455

Last edited: 2014-01-15 13:21

View 2 revisions

Patch attached to 0025489 fixes the bug

Issue History

Date Modified Username Field Change
2013-07-10 16:52 ocean New Issue
2013-07-10 16:52 ocean File Added: stringgridbug.zip
2013-07-10 16:53 ocean File Added: stringgrid.jpg
2013-07-10 17:24 Vojtech Cihak Note Added: 0068791
2013-07-11 09:16 Jesus Reyes Assigned To => Jesus Reyes
2013-07-11 09:16 Jesus Reyes Status new => assigned
2014-01-15 11:57 ocean Note Added: 0072455
2014-01-15 13:21 Bart Broersma Note Edited: 0072455 View Revisions
2014-01-15 13:21 Bart Broersma Relationship added has duplicate 0025489
2014-02-25 07:45 Jesus Reyes Fixed in Revision => 44231
2014-02-25 07:45 Jesus Reyes LazTarget => 1.4
2014-02-25 07:45 Jesus Reyes Status assigned => resolved
2014-02-25 07:45 Jesus Reyes Fixed in Version => 1.3 (SVN)
2014-02-25 07:45 Jesus Reyes Resolution open => fixed
2014-02-25 07:45 Jesus Reyes Target Version => 1.4
2014-02-25 20:22 ocean Status resolved => closed